org.apache.lucene.analysis.bg

## Class BulgarianStemmer

- java.lang.Object
- - org.apache.lucene.analysis.bg.BulgarianStemmer

    public class BulgarianStemmer
    extends Object

Light Stemmer for Bulgarian.

Implements the algorithm described in: Searching Strategies for the Bulgarian Language http://members.unine.ch/jacques.savoy/Papers/BUIR.pdf

### Constructor Summary

Constructors
Constructor and Description
`BulgarianStemmer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `stem(char[] s, int len)` Stem an input buffer of Bulgarian text.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BulgarianStemmer

    public BulgarianStemmer()

### Method Detail

#### stem

    public int stem(char[] s,
                    int len)

Stem an input buffer of Bulgarian text.

Parameters:
  `s` - input buffer
  `len` - length of input buffer
Returns:
  length of input buffer after normalization